
Figure - 开发 Dev #110719
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【FW】【RemoteControl】【TC-RID: 1201-0206003】IOS客户端SDK
2022-07-25 17:17 - CD FW-王伟

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date:

Assignee: CD FW-廖涛 % Done: 100%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

■需求列表:

遥控器 IOS 客户端SDK

PRD:手势交互及SDK需求文档 

-> https://thundersoft.feishu.cn/docs/doccno15mUUqtUaQl8hGaJlZOnc

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-08-04 19:44 - CD FW-王伟

- Subject changed from 【MK】【005】【RemoteControl】【TC-RID: 0301-0206003】IOS客户端SDK to 【MK】【005】【RemoteControl】【TC-RID:

1201-0206003】IOS客户端SDK

#2 - 2022-08-05 11:21 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CDTS-BU4 廖涛

#3 - 2022-08-05 11:23 - CD FW-王伟

- Assignee changed from CDTS-BU4 廖涛 to CD FW-廖涛

#4 - 2022-09-08 08:33 - CD FW-王伟

- Subject changed from 【MK】【005】【RemoteControl】【TC-RID: 1201-0206003】IOS客户端SDK to 【MK】【FW】【RemoteControl】【TC-RID:

1201-0206003】IOS客户端SDK

#5 - 2022-09-26 13:47 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V2.0_20220930

#6 - 2022-10-08 19:38 - CD FW-王伟

- Status changed from New to 解决 Resolved

- % Done changed from 0 to 60

代码已经入库，但是没有开始测试。需要依赖客户提供ios打包用的签名信息。

#7 - 2022-10-10 20:15 - CD FW-王伟

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#8 - 2022-11-09 14:59 - CD FW-廖涛
- Status changed from 解决 Resolved to 完成 Closed

- % Done changed from 60 to 100

#9 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152197 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Clients - Add iOS SDK code.TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id: I23a91bd27641bef36adf4f51a2ce7d29b638baf8

#10 - 2023-01-28 18:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177692 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Clients - Perfect iOS SDK code and demo.1. Support upd broadcast to find server;2. Add set volume method with actual value;3. Add a error

support when device is not on control;4. Add a error support when device is screen off;TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id:

I025f401ef3168b7c15fce970faf4120c9034e3dd

#11 - 2023-06-14 16:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207263 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: iOS - Fix crash exception.TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id: Ib58921802633b879539bfcf61647ff0dce9bbb41

#12 - 2023-07-10 17:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211905 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:RemoteControl: iOS - Fix crash exception.TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id:

Ib58921802633b879539bfcf61647ff0dce9bbb41(cherry picked from commit 572716b957dfb6e9cf8e1a7e0813a2281917dded)
#13 - 2023-08-23 13:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300243 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: iOS - Build debug symbol map file.TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id:

I8e8b832a9fa229c81a324d710e5782beb6dc0d03

#14 - 2023-08-29 19:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

307174 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:RemoteControl: iOS - Build debug symbol map file.TC-RID: 1201-0206003IssueID: TS-R-DF-110719Change-Id:

I8e8b832a9fa229c81a324d710e5782beb6dc0d03(cherry picked from commit 6f9723e3200fe0f03a1a77c78ae896f654dbbc5b)
